VULKAN_HPP_NAMESPACE::FlagTraits< ExternalMemoryFeatureFlagBitsNV > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(ExternalMemoryFeatureFlagBitsNV::eDedicatedOnly) | VkFlags(ExternalMemoryFeatureFlagBitsNV::eExportable) | VkFlags(ExternalMemoryFeatureFlagBitsNV::eImportable) }

## Detailed Description

Definition at line 30329 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 30331 of file vulkan.hpp.

{
allFlags = VkFlags(ExternalMemoryFeatureFlagBitsNV::eDedicatedOnly) | VkFlags(ExternalMemoryFeatureFlagBitsNV::eExportable) | VkFlags(ExternalMemoryFeatureFlagBitsNV::eImportable)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::FlagTraits< ExternalMemoryFeatureFlagBitsNV >::allFlags
@ allFlags
Definition: vulkan.hpp:30333
VULKAN_HPP_NAMESPACE::ExternalMemoryFeatureFlagBitsNV::eImportable
@ eImportable
VULKAN_HPP_NAMESPACE::ExternalMemoryFeatureFlagBitsNV::eDedicatedOnly
@ eDedicatedOnly
VULKAN_HPP_NAMESPACE::ExternalMemoryFeatureFlagBitsNV::eExportable
@ eExportable